Package Gnumed :: Package timelinelib :: Package calendar :: Package gregorian :: Package timepicker :: Module datetime :: Class GregorianDateTimePickerController |
[frames] | no frames]

# Class GregorianDateTimePickerController

source code

    object --+
             |
            GregorianDateTimePickerController

Instance Methods
__init__(self, view, date_picker, time_picker, now_fn, on_change) x.__init__(...) initializes x; see help(type(x)) for signature | source code
get_value(self) | source code
set_value(self, time) | source code
date_tuple_to_wx_date(self, date) | source code
wx_date_to_date_tuple(self, wx_date) | source code
date_button_on_click(self, evt) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, view, date_picker, time_picker, now_fn, on_change) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)